searchData={"items":[{"type":"module","title":"GoogleApi.StreetViewPublish.V1","doc":"API client metadata for GoogleApi.StreetViewPublish.V1.","ref":"GoogleApi.StreetViewPublish.V1.html"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.discovery_revision/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Api.Photo","doc":"API calls for all endpoints tagged `Photo`.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_create/3","doc":"After the client finishes uploading the photo with the returned UploadRef, CreatePhoto publishes the uploaded Photo to Street View on Google Maps. Currently, the only way to set heading, pitch, and roll in CreatePhoto is through the [Photo Sphere XMP metadata](https://developers.google.com/streetview/spherical-metadata) in the photo bytes. CreatePhoto ignores the `pose.heading`, `pose.pitch`, `pose.roll`, `pose.altitude`, and `pose.level` fields in Pose. This method returns the following error codes: * google.rpc.Code.INVALID_ARGUMENT if the request is malformed or if the uploaded photo is not a 360 photo. * google.rpc.Code.NOT_FOUND if the upload reference does not exist. * google.rpc.Code.RESOURCE_EXHAUSTED if the account has reached the storage limit.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_create/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_create/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Photo.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_create/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_create/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.Photo{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_create/3-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_delete/4","doc":"Deletes a Photo and its metadata. This method returns the following error codes: * google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested photo. * google.rpc.Code.NOT_FOUND if the photo ID does not exist.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_delete/4"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_delete/4","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `photo_id` (*type:* `String.t`) - Required. ID of the Photo.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_delete/4","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_delete/4-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_get/4","doc":"Gets the metadata of the specified Photo. This method returns the following error codes: * google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested Photo. * google.rpc.Code.NOT_FOUND if the requested Photo does not exist. * google.rpc.Code.UNAVAILABLE if the requested Photo is still being indexed.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_get/4"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_get/4","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `photo_id` (*type:* `String.t`) - Required. ID of the Photo.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. If language_code is unspecified, the user's language preference for Google services is used.\n    *   `:view` (*type:* `String.t`) - Required. Specifies if a download URL for the photo bytes should be returned in the Photo response.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_get/4","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.Photo{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_get/4-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_start_upload/3","doc":"Creates an upload session to start uploading photo bytes. The method uses the upload URL of the returned UploadRef to upload the bytes for the Photo. In addition to the photo requirements shown in https://support.google.com/maps/answer/7012050?ref_topic=6275604, the photo must meet the following requirements: * Photo Sphere XMP metadata must be included in the photo metadata. See https://developers.google.com/streetview/spherical-metadata for the required fields. * The pixel size of the photo must meet the size requirements listed in https://support.google.com/maps/answer/7012050?ref_topic=6275604, and the photo must be a full 360 horizontally. After the upload completes, the method uses UploadRef with CreatePhoto to create the Photo object entry.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_start_upload/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_start_upload/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Empty.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_start_upload/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_start_upload/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.UploadRef{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_start_upload/3-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_update/4","doc":"Updates the metadata of a Photo, such as pose, place association, connections, etc. Changing the pixels of a photo is not supported. Only the fields specified in the updateMask field are used. If `updateMask` is not present, the update applies to all fields. This method returns the following error codes: * google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested photo. * google.rpc.Code.INVALID_ARGUMENT if the request is malformed. * google.rpc.Code.NOT_FOUND if the requested photo does not exist. * google.rpc.Code.UNAVAILABLE if the requested Photo is still being indexed.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_update/4"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_update/4","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `id` (*type:* `String.t`) - A unique identifier for a photo.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. Mask that identifies fields on the photo metadata to update. If not present, the old Photo metadata is entirely replaced with the new Photo metadata in this request. The update fails if invalid fields are specified. Multiple fields can be specified in a comma-delimited list. The following fields are valid: * `pose.heading` * `pose.lat_lng_pair` * `pose.pitch` * `pose.roll` * `pose.level` * `pose.altitude` * `connections` * `places` > Note: When updateMask contains repeated fields, the entire set of repeated values get replaced with the new contents. For example, if updateMask contains `connections` and `UpdatePhotoRequest.photo.connections` is empty, all connections are removed.\n    *   `:body` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Photo.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_update/4","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.Photo{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_update/4-returns"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence","doc":"API calls for all endpoints tagged `PhotoSequence`.","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_create/3","doc":"After the client finishes uploading the PhotoSequence with the returned UploadRef, CreatePhotoSequence extracts a sequence of 360 photos from a video or Extensible Device Metadata (XDM, http://www.xdm.org/) to be published to Street View on Google Maps. `CreatePhotoSequence` returns an Operation, with the PhotoSequence Id set in the `Operation.name` field. This method returns the following error codes: * google.rpc.Code.INVALID_ARGUMENT if the request is malformed. * google.rpc.Code.NOT_FOUND if the upload reference does not exist.","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_create/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_create/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:inputType` (*type:* `String.t`) - Required. The input form of PhotoSequence.\n    *   `:body` (*type:* `GoogleApi.StreetViewPublish.V1.Model.PhotoSequence.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_create/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_create/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_create/3-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_delete/4","doc":"Deletes a PhotoSequence and its metadata. This method returns the following error codes: * google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested photo sequence. * google.rpc.Code.NOT_FOUND if the photo sequence ID does not exist. * google.rpc.Code.FAILED_PRECONDITION if the photo sequence ID is not yet finished processing.","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_delete/4"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_delete/4","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `sequence_id` (*type:* `String.t`) - Required. ID of the PhotoSequence.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_delete/4","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_delete/4-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_get/4","doc":"Gets the metadata of the specified PhotoSequence via the Operation interface. This method returns the following three types of responses: * `Operation.done` = false, if the processing of PhotoSequence is not finished yet. * `Operation.done` = true and `Operation.error` is populated, if there was an error in processing. * `Operation.done` = true and `Operation.response` is poulated, which contains a PhotoSequence message. This method returns the following error codes: * google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested PhotoSequence. * google.rpc.Code.NOT_FOUND if the requested PhotoSequence does not exist.","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_get/4"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_get/4","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `sequence_id` (*type:* `String.t`) - Required. ID of the photo sequence.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. The filter expression. For example: `published_status=PUBLISHED`. The filters supported are: `published_status`. See https://google.aip.dev/160 for more information.\n    *   `:view` (*type:* `String.t`) - Specifies if a download URL for the photo sequence should be returned in `download_url` of individual photos in the PhotoSequence response. > Note: Currently not implemented.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_get/4","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_get/4-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_start_upload/3","doc":"Creates an upload session to start uploading photo sequence data. The upload URL of the returned UploadRef is used to upload the data for the `photoSequence`. After the upload is complete, the UploadRef is used with CreatePhotoSequence to create the PhotoSequence object entry.","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_start_upload/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_start_upload/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Empty.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_start_upload/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.streetviewpublish_photo_sequence_start_upload/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.UploadRef{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequence.html#streetviewpublish_photo_sequence_start_upload/3-returns"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequences","doc":"API calls for all endpoints tagged `PhotoSequences`.","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequences.html"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequences.streetviewpublish_photo_sequences_list/3","doc":"Lists all the PhotoSequences that belong to the user, in descending CreatePhotoSequence timestamp order.","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequences.html#streetviewpublish_photo_sequences_list/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.PhotoSequences.streetviewpublish_photo_sequences_list/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. The filter expression. For example: `imagery_type=SPHERICAL`. The filters supported are: `imagery_type`, `processing_state`, `min_latitude`, `max_latitude`, `min_longitude`, `max_longitude`, `filename_query`, `min_capture_time_seconds`, `max_capture_time_seconds. See https://google.aip.dev/160 for more information. Filename queries should sent as a Phrase in order to support multiple words and special characters by adding escaped quotes. Ex: filename_query=\"example of a phrase.mp4\"\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of photo sequences to return. `pageSize` must be non-negative. If `pageSize` is zero or is not provided, the default page size of 100 is used. The number of photo sequences returned in the response may be less than `pageSize` if the number of matches is less than `pageSize`. This is currently unimplemented but is in process.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The nextPageToken value returned from a previous ListPhotoSequences request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequences.html#streetviewpublish_photo_sequences_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.PhotoSequences.streetviewpublish_photo_sequences_list/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.PhotoSequences.html#streetviewpublish_photo_sequences_list/3-returns"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Api.Photos","doc":"API calls for all endpoints tagged `Photos`.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_delete/3","doc":"Deletes a list of Photos and their metadata. Note that if BatchDeletePhotos fails, either critical fields are missing or there is an authentication error. Even if BatchDeletePhotos succeeds, individual photos in the batch may have failures. These failures are specified in each PhotoResponse.status in BatchDeletePhotosResponse.results. See DeletePhoto for specific failures that can occur per photo.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_delete/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_delete/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_delete/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_delete/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_delete/3-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_get/3","doc":"Gets the metadata of the specified Photo batch. Note that if BatchGetPhotos fails, either critical fields are missing or there is an authentication error. Even if BatchGetPhotos succeeds, individual photos in the batch may have failures. These failures are specified in each PhotoResponse.status in BatchGetPhotosResponse.results. See GetPhoto for specific failures that can occur per photo.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_get/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_get/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. If language_code is unspecified, the user's language preference for Google services is used.\n    *   `:photoIds` (*type:* `list(String.t)`) - Required. IDs of the Photos. For HTTP GET requests, the URL query parameter should be `photoIds=&photoIds=&...`.\n    *   `:view` (*type:* `String.t`) - Required. Specifies if a download URL for the photo bytes should be returned in the Photo response.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_get/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_get/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_get/3-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_update/3","doc":"Updates the metadata of Photos, such as pose, place association, connections, etc. Changing the pixels of photos is not supported. Note that if BatchUpdatePhotos fails, either critical fields are missing or there is an authentication error. Even if BatchUpdatePhotos succeeds, individual photos in the batch may have failures. These failures are specified in each PhotoResponse.status in BatchUpdatePhotosResponse.results. See UpdatePhoto for specific failures that can occur per photo. Only the fields specified in updateMask field are used. If `updateMask` is not present, the update applies to all fields. The number of UpdatePhotoRequest messages in a BatchUpdatePhotosRequest must not exceed 20. > Note: To update Pose.altitude, Pose.latLngPair has to be filled as well. Otherwise, the request will fail.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_update/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_update/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_update/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_update/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_update/3-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_list/3","doc":"Lists all the Photos that belong to the user. > Note: Recently created photos that are still being indexed are not returned in the response.","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_list/3"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_list/3","doc":"*   `connection` (*type:* `GoogleApi.StreetViewPublish.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. The filter expression. For example: `placeId=ChIJj61dQgK6j4AR4GeTYWZsKWw`. The filters supported are: `placeId`, `min_latitude`, `max_latitude`, `min_longitude`, `max_longitude`. See https://google.aip.dev/160 for more information.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. If language_code is unspecified, the user's language preference for Google services is used.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of photos to return. `pageSize` must be non-negative. If `pageSize` is zero or is not provided, the default page size of 100 is used. The number of photos returned in the response may be less than `pageSize` if the number of photos that belong to the user is less than `pageSize`.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The nextPageToken value returned from a previous ListPhotos request, if any.\n    *   `:view` (*type:* `String.t`) - Required. Specifies if a download URL for the photos bytes should be returned in the Photos response.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_list/3","doc":"*   `{:ok, %GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_list/3-returns"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Connection","doc":"Handle Tesla connections for GoogleApi.StreetViewPublish.V1.","ref":"GoogleApi.StreetViewPublish.V1.Connection.html"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.StreetViewPublish.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.StreetViewPublish.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.StreetViewPublish.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.StreetViewPublish.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Connection.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest","doc":"Request to delete multiple Photos.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest","doc":"*   `photoIds` (*type:* `list(String.t)`, *default:* `nil`) - Required. IDs of the Photos. HTTP GET requests require the following syntax for the URL query parameter: `photoIds=&photoIds=&...`.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse","doc":"Response to batch delete of one or more Photos.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse","doc":"*   `status` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Status.t)`, *default:* `nil`) - The status for the operation to delete a single Photo in the batch request.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse","doc":"Response to batch get of Photos.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse","doc":"*   `results` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.t)`, *default:* `nil`) - List of results for each individual Photo requested, in the same order as the requests in BatchGetPhotos.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest","doc":"Request to update the metadata of photos. Updating the pixels of photos is not supported.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest","doc":"*   `updatePhotoRequests` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.t)`, *default:* `nil`) - Required. List of UpdatePhotoRequests.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse","doc":"Response to batch update of metadata of one or more Photos.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse","doc":"*   `results` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.t)`, *default:* `nil`) - List of results for each individual Photo updated, in the same order as the request.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Connection","doc":"A connection is the link from a source photo to a destination photo.","ref":"GoogleApi.StreetViewPublish.V1.Model.Connection.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Connection","doc":"*   `target` (*type:* `GoogleApi.StreetViewPublish.V1.Model.PhotoId.t`, *default:* `nil`) - Required. The destination of the connection from the containing photo to another photo.","ref":"GoogleApi.StreetViewPublish.V1.Model.Connection.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Connection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Connection.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Connection.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.StreetViewPublish.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Empty","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails","doc":"Details related to ProcessingFailureReason#GPS_DATA_GAP. If there are multiple GPS data gaps, only the one with the largest duration is reported here.","ref":"GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails","doc":"*   `gapDuration` (*type:* `String.t`, *default:* `nil`) - The duration of the gap in GPS data that was found.\n*   `gapStartTime` (*type:* `String.t`, *default:* `nil`) - Relative time (from the start of the video stream) when the gap started.","ref":"GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Imu","doc":"IMU data from the device sensors.","ref":"GoogleApi.StreetViewPublish.V1.Model.Imu.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Imu","doc":"*   `accelMpsps` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Measurement3d.t)`, *default:* `nil`) - The accelerometer measurements in meters/sec^2 with increasing timestamps from devices.\n*   `gyroRps` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Measurement3d.t)`, *default:* `nil`) - The gyroscope measurements in radians/sec with increasing timestamps from devices.\n*   `magUt` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Measurement3d.t)`, *default:* `nil`) - The magnetometer measurements of the magnetic field in microtesla (uT) with increasing timestamps from devices.","ref":"GoogleApi.StreetViewPublish.V1.Model.Imu.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Imu.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Imu.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Imu.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Imu.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails","doc":"Details related to ProcessingFailureReason#IMU_DATA_GAP. If there are multiple IMU data gaps, only the one with the largest duration is reported here.","ref":"GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails","doc":"*   `gapDuration` (*type:* `String.t`, *default:* `nil`) - The duration of the gap in IMU data that was found.\n*   `gapStartTime` (*type:* `String.t`, *default:* `nil`) - Relative time (from the start of the video stream) when the gap started.","ref":"GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails","doc":"Details related to ProcessingFailureReason#INSUFFICIENT_GPS.","ref":"GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails","doc":"*   `gpsPointsFound` (*type:* `integer()`, *default:* `nil`) - The number of GPS points that were found in the video.","ref":"GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.LatLng","doc":"An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLng.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.LatLng","doc":"*   `latitude` (*type:* `float()`, *default:* `nil`) - The latitude in degrees. It must be in the range [-90.0, +90.0].\n*   `longitude` (*type:* `float()`, *default:* `nil`) - The longitude in degrees. It must be in the range [-180.0, +180.0].","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLng.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.LatLng.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLng.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.LatLng.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLng.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.LatLngBounds","doc":"A rectangle in geographical coordinates.","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLngBounds.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.LatLngBounds","doc":"*   `northeast` (*type:* `GoogleApi.StreetViewPublish.V1.Model.LatLng.t`, *default:* `nil`) - The northeast corner of these bounds.\n*   `southwest` (*type:* `GoogleApi.StreetViewPublish.V1.Model.LatLng.t`, *default:* `nil`) - The southwest corner of these bounds.","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLngBounds.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.LatLngBounds.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLngBounds.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.LatLngBounds.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.LatLngBounds.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Level","doc":"Level information containing level number and its corresponding name.","ref":"GoogleApi.StreetViewPublish.V1.Model.Level.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Level","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. A name assigned to this Level, restricted to 3 characters. Consider how the elevator buttons would be labeled for this level if there was an elevator.\n*   `number` (*type:* `float()`, *default:* `nil`) - Optional. Floor number, used for ordering. 0 indicates the ground level, 1 indicates the first level above ground level, -1 indicates the first level under ground level. Non-integer values are OK.","ref":"GoogleApi.StreetViewPublish.V1.Model.Level.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Level.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Level.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Level.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Level.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse","doc":"Response to list all photo sequences that belong to a user.","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `photoSequences` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Operation.t)`, *default:* `nil`) - List of photo sequences via Operation interface. The maximum number of items returned is based on the pageSize field in the request. Each item in the list can have three possible states, * `Operation.done` = false, if the processing of PhotoSequence is not finished yet. * `Operation.done` = true and `Operation.error` is populated, if there was an error in processing. * `Operation.done` = true and `Operation.response` contains a PhotoSequence message, In each sequence, only Id is populated.","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotoSequencesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse","doc":"Response to list all photos that belong to a user.","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `photos` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Photo.t)`, *default:* `nil`) - List of photos. The pageSize field in the request determines the number of items returned.","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Measurement3d","doc":"A Generic 3d measurement sample.","ref":"GoogleApi.StreetViewPublish.V1.Model.Measurement3d.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Measurement3d","doc":"*   `captureTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp of the IMU measurement.\n*   `x` (*type:* `number()`, *default:* `nil`) - The sensor measurement in the x axis.\n*   `y` (*type:* `number()`, *default:* `nil`) - The sensor measurement in the y axis.\n*   `z` (*type:* `number()`, *default:* `nil`) - The sensor measurement in the z axis.","ref":"GoogleApi.StreetViewPublish.V1.Model.Measurement3d.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Measurement3d.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Measurement3d.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Measurement3d.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Measurement3d.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails","doc":"Details related to PhotoSequenceProcessingFailureReason#NO_OVERLAP_GPS.","ref":"GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails","doc":"*   `gpsEndTime` (*type:* `DateTime.t`, *default:* `nil`) - Time of last recorded GPS point.\n*   `gpsStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Time of first recorded GPS point.\n*   `videoEndTime` (*type:* `DateTime.t`, *default:* `nil`) - End time of video.\n*   `videoStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Start time of video.","ref":"GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails","doc":"Details related to ProcessingFailureReason#NOT_OUTDOORS. If there are multiple indoor frames found, the first frame is recorded here.","ref":"GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails","doc":"*   `startTime` (*type:* `String.t`, *default:* `nil`) - Relative time (from the start of the video stream) when an indoor frame was found.","ref":"GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.StreetViewPublish.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.StreetViewPublish.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Photo","doc":"Photo is used to store 360 photos along with photo metadata.","ref":"GoogleApi.StreetViewPublish.V1.Model.Photo.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Photo","doc":"*   `captureTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Absolute time when the photo was captured. When the photo has no exif timestamp, this is used to set a timestamp in the photo metadata.\n*   `connections` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Connection.t)`, *default:* `nil`) - Optional. Connections to other photos. A connection represents the link from this photo to another photo.\n*   `downloadUrl` (*type:* `String.t`, *default:* `nil`) - Output only. The download URL for the photo bytes. This field is set only when GetPhotoRequest.view is set to PhotoView.INCLUDE_DOWNLOAD_URL.\n*   `mapsPublishStatus` (*type:* `String.t`, *default:* `nil`) - Output only. Status in Google Maps, whether this photo was published or rejected.\n*   `photoId` (*type:* `GoogleApi.StreetViewPublish.V1.Model.PhotoId.t`, *default:* `nil`) - Required. Output only. Required when updating a photo. Output only when creating a photo. Identifier for the photo, which is unique among all photos in Google.\n*   `places` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Place.t)`, *default:* `nil`) - Optional. Places where this photo belongs.\n*   `pose` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Pose.t`, *default:* `nil`) - Optional. Pose of the photo.\n*   `shareLink` (*type:* `String.t`, *default:* `nil`) - Output only. The share link for the photo.\n*   `thumbnailUrl` (*type:* `String.t`, *default:* `nil`) - Output only. The thumbnail URL for showing a preview of the given photo.\n*   `transferStatus` (*type:* `String.t`, *default:* `nil`) - Output only. Status of rights transfer on this photo.\n*   `uploadReference` (*type:* `GoogleApi.StreetViewPublish.V1.Model.UploadRef.t`, *default:* `nil`) - Input only. Required when creating a photo. Input only. The resource URL where the photo bytes are uploaded to.\n*   `uploadTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Time when the image was uploaded.\n*   `viewCount` (*type:* `String.t`, *default:* `nil`) - Output only. View count of the photo.","ref":"GoogleApi.StreetViewPublish.V1.Model.Photo.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Photo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Photo.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Photo.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Photo.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoId","doc":"Identifier for a Photo.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.PhotoId","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - A unique identifier for a photo.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse","doc":"Response payload for a single Photo in batch operations including BatchGetPhotos and BatchUpdatePhotos.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.PhotoResponse","doc":"*   `photo` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Photo.t`, *default:* `nil`) - The Photo resource, if the request was successful.\n*   `status` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Status.t`, *default:* `nil`) - The status for the operation to get or update a single photo in the batch request.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoSequence","doc":"A sequence of 360 photos along with metadata.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoSequence.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.PhotoSequence","doc":"*   `captureTimeOverride` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Absolute time when the photo sequence starts to be captured. If the photo sequence is a video, this is the start time of the video. If this field is populated in input, it overrides the capture time in the video or XDM file.\n*   `distanceMeters` (*type:* `float()`, *default:* `nil`) - Output only. The computed distance of the photo sequence in meters.\n*   `failureDetails` (*type:* `GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails.t`, *default:* `nil`) - Output only. If this sequence has `failure_reason` set, this may contain additional details about the failure.\n*   `failureReason` (*type:* `String.t`, *default:* `nil`) - Output only. If this sequence has processing_state = FAILED, this will contain the reason why it failed. If the processing_state is any other value, this field will be unset.\n*   `filename` (*type:* `String.t`, *default:* `nil`) - Output only. The filename of the upload. Does not include the directory path. Only available if the sequence was uploaded on a platform that provides the filename.\n*   `gpsSource` (*type:* `String.t`, *default:* `nil`) - Input only. If both raw_gps_timeline and the Camera Motion Metadata Track (CAMM) contain GPS measurements, indicate which takes precedence.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. Unique identifier for the photo sequence. This also acts as a long running operation ID if uploading is performed asynchronously.\n*   `imu` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Imu.t`, *default:* `nil`) - Input only. Three axis IMU data for the collection. If this data is too large to put in the request, then it should be put in the CAMM track for the video. This data always takes precedence over the equivalent CAMM data, if it exists.\n*   `photos` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Photo.t)`, *default:* `nil`) - Output only. Photos with increasing timestamps.\n*   `processingState` (*type:* `String.t`, *default:* `nil`) - Output only. The processing state of this sequence.\n*   `rawGpsTimeline` (*type:* `list(GoogleApi.StreetViewPublish.V1.Model.Pose.t)`, *default:* `nil`) - Input only. Raw GPS measurements with increasing timestamps from the device that aren't time synced with each photo. These raw measurements will be used to infer the pose of each frame. Required in input when InputType is VIDEO and raw GPS measurements are not in Camera Motion Metadata Track (CAMM). User can indicate which takes precedence using gps_source if raw GPS measurements are provided in both raw_gps_timeline and Camera Motion Metadata Track (CAMM).\n*   `sequenceBounds` (*type:* `GoogleApi.StreetViewPublish.V1.Model.LatLngBounds.t`, *default:* `nil`) - Output only. A rectangular box that encapsulates every image in this photo sequence.\n*   `uploadReference` (*type:* `GoogleApi.StreetViewPublish.V1.Model.UploadRef.t`, *default:* `nil`) - Input only. Required when creating photo sequence. The resource name where the bytes of the photo sequence (in the form of video) are uploaded.\n*   `uploadTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this photo sequence was created in uSV Store service.\n*   `viewCount` (*type:* `String.t`, *default:* `nil`) - Output only. The total number of views that all the published images in this PhotoSequence have received.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoSequence.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoSequence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoSequence.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoSequence.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoSequence.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Place","doc":"Place metadata for an entity.","ref":"GoogleApi.StreetViewPublish.V1.Model.Place.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Place","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Output only. The language_code that the name is localized with. This should be the language_code specified in the request, but may be a fallback.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The name of the place, localized to the language_code.\n*   `placeId` (*type:* `String.t`, *default:* `nil`) - Place identifier, as described in https://developers.google.com/places/place-id.","ref":"GoogleApi.StreetViewPublish.V1.Model.Place.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Place.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Place.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Place.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Place.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Pose","doc":"Raw pose measurement for an entity.","ref":"GoogleApi.StreetViewPublish.V1.Model.Pose.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Pose","doc":"*   `accuracyMeters` (*type:* `number()`, *default:* `nil`) - The estimated horizontal accuracy of this pose in meters with 68% confidence (one standard deviation). For example, on Android, this value is available from this method: https://developer.android.com/reference/android/location/Location#getAccuracy(). Other platforms have different methods of obtaining similar accuracy estimations.\n*   `altitude` (*type:* `float()`, *default:* `nil`) - Altitude of the pose in meters above WGS84 ellipsoid. NaN indicates an unmeasured quantity.\n*   `gpsRecordTimestampUnixEpoch` (*type:* `DateTime.t`, *default:* `nil`) - Time of the GPS record since UTC epoch.\n*   `heading` (*type:* `float()`, *default:* `nil`) - The following pose parameters pertain to the center of the photo. They match https://developers.google.com/streetview/spherical-metadata. Compass heading, measured at the center of the photo in degrees clockwise from North. Value must be >=0 and <360. NaN indicates an unmeasured quantity.\n*   `latLngPair` (*type:* `GoogleApi.StreetViewPublish.V1.Model.LatLng.t`, *default:* `nil`) - Latitude and longitude pair of the pose, as explained here: https://cloud.google.com/datastore/docs/reference/rest/Shared.Types/LatLng When creating a Photo, if the latitude and longitude pair are not provided, the geolocation from the exif header is used. A latitude and longitude pair not provided in the photo or exif header causes the photo process to fail.\n*   `level` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Level.t`, *default:* `nil`) - Level (the floor in a building) used to configure vertical navigation.\n*   `pitch` (*type:* `float()`, *default:* `nil`) - Pitch, measured at the center of the photo in degrees. Value must be >=-90 and <= 90. A value of -90 means looking directly down, and a value of 90 means looking directly up. NaN indicates an unmeasured quantity.\n*   `roll` (*type:* `float()`, *default:* `nil`) - Roll, measured in degrees. Value must be >= 0 and <360. A value of 0 means level with the horizon. NaN indicates an unmeasured quantity.","ref":"GoogleApi.StreetViewPublish.V1.Model.Pose.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Pose.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Pose.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Pose.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Pose.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails","doc":"Additional details to accompany the ProcessingFailureReason enum. This message is always expected to be used in conjunction with ProcessingFailureReason, and the oneof value set in this message should match the FailureReason.","ref":"GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails","doc":"*   `gpsDataGapDetails` (*type:* `GoogleApi.StreetViewPublish.V1.Model.GpsDataGapFailureDetails.t`, *default:* `nil`) - See GpsDataGapFailureDetails.\n*   `imuDataGapDetails` (*type:* `GoogleApi.StreetViewPublish.V1.Model.ImuDataGapFailureDetails.t`, *default:* `nil`) - See ImuDataGapFailureDetails.\n*   `insufficientGpsDetails` (*type:* `GoogleApi.StreetViewPublish.V1.Model.InsufficientGpsFailureDetails.t`, *default:* `nil`) - See InsufficientGpsFailureDetails.\n*   `noOverlapGpsDetails` (*type:* `GoogleApi.StreetViewPublish.V1.Model.NoOverlapGpsFailureDetails.t`, *default:* `nil`) - See NoOverlapGpsFailureDetails.\n*   `notOutdoorsDetails` (*type:* `GoogleApi.StreetViewPublish.V1.Model.NotOutdoorsFailureDetails.t`, *default:* `nil`) - See NotOutdoorsFailureDetails.","ref":"GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.ProcessingFailureDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.StreetViewPublish.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.StreetViewPublish.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest","doc":"Request to update the metadata of a Photo. Updating the pixels of a photo is not supported.","ref":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest","doc":"*   `photo` (*type:* `GoogleApi.StreetViewPublish.V1.Model.Photo.t`, *default:* `nil`) - Required. Photo object containing the new metadata.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. Mask that identifies fields on the photo metadata to update. If not present, the old Photo metadata is entirely replaced with the new Photo metadata in this request. The update fails if invalid fields are specified. Multiple fields can be specified in a comma-delimited list. The following fields are valid: * `pose.heading` * `pose.lat_lng_pair` * `pose.pitch` * `pose.roll` * `pose.level` * `pose.altitude` * `connections` * `places` > Note: When updateMask contains repeated fields, the entire set of repeated values get replaced with the new contents. For example, if updateMask contains `connections` and `UpdatePhotoRequest.photo.connections` is empty, all connections are removed.","ref":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.StreetViewPublish.V1.Model.UploadRef","doc":"Upload reference for media files.","ref":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.html"},{"type":"module","title":"Attributes - GoogleApi.StreetViewPublish.V1.Model.UploadRef","doc":"*   `uploadUrl` (*type:* `String.t`, *default:* `nil`) - An upload reference should be unique for each user. It follows the form: \"https://streetviewpublish.googleapis.com/media/user/{account_id}/photo/{upload_reference}\"","ref":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.html#module-attributes"},{"type":"function","title":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.html#decode/2"},{"type":"type","title":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.t/0","doc":"","ref":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}